#include "wydawca.h"

void
notify(struct notification *n, struct wy_triplet *t,
       enum wy_event e)
{
	for (; n; n = n->next)
		if (n->ev == e) {
			if (n->modname)
				module_notify(n->modname, n->modcfg, e, t);
		}
}

void
notify_stats()
{
	notify(default_notification, NULL, wy_ev_statistics);
}

void
notify_flush(struct spool *sp)
{
	struct notification *n;
	
	for (n = sp->notification; n; n = n->next)
		if (n->modcfg)
			module_flush(n->modname, n->modcfg);
}
